/*
 * Copyright (c) 2016-2019 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */

export * from './icon.element';
export * from './icon.service';

// SHAPES
export { unknownIcon } from './shapes/unknown';

// SHAPES - CORE
export { angleIcon } from './shapes/angle';
export { angleDoubleIcon } from './shapes/angle-double';
export { arrowIcon } from './shapes/arrow';
export { barsIcon } from './shapes/bars';
export { bellIcon } from './shapes/bell';
export { calendarIcon } from './shapes/calendar';
export { checkIcon } from './shapes/check';
export { checkCircleIcon } from './shapes/check-circle';
export { cloudIcon } from './shapes/cloud';
export { cogIcon } from './shapes/cog';
export { ellipsisHorizontalIcon } from './shapes/ellipsis-horizontal';
export { ellipsisVerticalIcon } from './shapes/ellipsis-vertical';
export { errorStandardIcon } from './shapes/error-standard';
export { eventIcon } from './shapes/event';
export { exclamationCircleIcon } from './shapes/exclamation-circle';
export { exclamationTriangleIcon } from './shapes/exclamation-triangle';
export { eyeIcon } from './shapes/eye';
export { eyeHideIcon } from './shapes/eye-hide';
export { filterGridIcon } from './shapes/filter-grid';
export { filterGridCircleIcon } from './shapes/filter-grid-circle';
export { folderIcon } from './shapes/folder';
export { folderOpenIcon } from './shapes/folder-open';
export { helpInfoIcon } from './shapes/help-info';
export { homeIcon } from './shapes/home';
export { imageIcon } from './shapes/image';
export { infoCircleIcon } from './shapes/info-circle';
export { infoStandardIcon } from './shapes/info-standard';
export { searchIcon } from './shapes/search';
export { stepForward2Icon } from './shapes/step-forward-2';
export { successStandardIcon } from './shapes/success-standard';
export { timesIcon } from './shapes/times';
export { unknownStatusIcon } from './shapes/unknown-status';
export { userIcon } from './shapes/user';
export { viewColumnsIcon } from './shapes/view-columns';
export { vmBugIcon } from './shapes/vm-bug';
export { warningStandardIcon } from './shapes/warning-standard';

// SHAPES - ESSENTIAL
export { accessibility1Icon } from './shapes/accessibility-1';
export { accessibility2Icon } from './shapes/accessibility-2';
export { addTextIcon } from './shapes/add-text';
export { alarmClockIcon } from './shapes/alarm-clock';
export { alarmOffIcon } from './shapes/alarm-off';
export { asteriskIcon } from './shapes/asterisk';
export { banIcon } from './shapes/ban';
export { betaIcon } from './shapes/beta';
export { boltIcon } from './shapes/bolt';
export { bookIcon } from './shapes/book';
export { briefcaseIcon } from './shapes/briefcase';
export { bubbleExclamationIcon } from './shapes/bubble-exclamation';
export { bugIcon } from './shapes/bug';
export { bullseyeIcon } from './shapes/bullseye';
export { childArrowIcon } from './shapes/child-arrow';
export { circleIcon } from './shapes/circle';
export { circleArrowIcon } from './shapes/circle-arrow';
export { clipboardIcon } from './shapes/clipboard';
export { clockIcon } from './shapes/clock';
export { cloneIcon } from './shapes/clone';
export { collapseCardIcon } from './shapes/collapse-card';
export { colorPickerIcon } from './shapes/color-picker';
export { copyIcon } from './shapes/copy';
export { copyToClipboardIcon } from './shapes/copy-to-clipboard';
export { crosshairsIcon } from './shapes/crosshairs';
export { cursorArrowIcon } from './shapes/cursor-arrow';
export { cursorHandIcon } from './shapes/cursor-hand';
export { cursorHandClickIcon } from './shapes/cursor-hand-click';
export { cursorHandGrabIcon } from './shapes/cursor-hand-grab';
export { cursorHandOpenIcon } from './shapes/cursor-hand-open';
export { cursorMoveIcon } from './shapes/cursor-move';
export { detailsIcon } from './shapes/details';
export { dotCircleIcon } from './shapes/dot-circle';
export { downloadIcon } from './shapes/download';
export { dragHandleIcon } from './shapes/drag-handle';
export { dragHandleCornerIcon } from './shapes/drag-handle-corner';
export { eraserIcon } from './shapes/eraser';
export { expandCardIcon } from './shapes/expand-card';
export { fileIcon } from './shapes/file';
export { fileGroupIcon } from './shapes/file-group';
export { fileSettingsIcon } from './shapes/file-settings';
export { fileZipIcon } from './shapes/file-zip';
export { filterIcon } from './shapes/filter';
export { filter2Icon } from './shapes/filter-2';
export { filterOffIcon } from './shapes/filter-off';
export { firewallIcon } from './shapes/firewall';
export { firstAidIcon } from './shapes/first-aid';
export { fishIcon } from './shapes/fish';
export { flameIcon } from './shapes/flame';
export { formIcon } from './shapes/form';
export { fuelIcon } from './shapes/fuel';
export { gridViewIcon } from './shapes/grid-view';
export { helpIcon } from './shapes/help';
export { historyIcon } from './shapes/history';
export { hourglassIcon } from './shapes/hourglass';
export { idBadgeIcon } from './shapes/id-badge';
export { keyIcon } from './shapes/key';
export { landscapeIcon } from './shapes/landscape';
export { libraryIcon } from './shapes/library';
export { lightbulbIcon } from './shapes/lightbulb';
export { listIcon } from './shapes/list';
export { lockIcon } from './shapes/lock';
export { loginIcon } from './shapes/login';
export { logoutIcon } from './shapes/logout';
export { minusIcon } from './shapes/minus';
export { minusCircleIcon } from './shapes/minus-circle';
export { moonIcon } from './shapes/moon';
export { newIcon } from './shapes/new';
export { noAccessIcon } from './shapes/no-access';
export { noteIcon } from './shapes/note';
export { objectsIcon } from './shapes/objects';
export { organizationIcon } from './shapes/organization';
export { paperclipIcon } from './shapes/paperclip';
export { pasteIcon } from './shapes/paste';
export { pencilIcon } from './shapes/pencil';
export { pinIcon } from './shapes/pin';
export { pinboardIcon } from './shapes/pinboard';
export { plusIcon } from './shapes/plus';
export { plusCircleIcon } from './shapes/plus-circle';
export { popOutIcon } from './shapes/pop-out';
export { portraitIcon } from './shapes/portrait';
export { printerIcon } from './shapes/printer';
export { recycleIcon } from './shapes/recycle';
export { redoIcon } from './shapes/redo';
export { refreshIcon } from './shapes/refresh';
export { repeatIcon } from './shapes/repeat';
export { resizeIcon } from './shapes/resize';
export { scissorsIcon } from './shapes/scissors';
export { scrollIcon } from './shapes/scroll';
export { shrinkIcon } from './shapes/shrink';
export { sliderIcon } from './shapes/slider';
export { snowflakeIcon } from './shapes/snowflake';
export { sortByIcon } from './shapes/sort-by';
export { sunIcon } from './shapes/sun';
export { switchIcon } from './shapes/switch';
export { syncIcon } from './shapes/sync';
export { tableIcon } from './shapes/table';
export { tagIcon } from './shapes/tag';
export { tagsIcon } from './shapes/tags';
export { targetIcon } from './shapes/target';
export { thermometerIcon } from './shapes/thermometer';
export { timesCircleIcon } from './shapes/times-circle';
export { toolsIcon } from './shapes/tools';
export { trashIcon } from './shapes/trash';
export { treeIcon } from './shapes/tree';
export { treeViewIcon } from './shapes/tree-view';
export { twoWayArrowsIcon } from './shapes/two-way-arrows';
export { undoIcon } from './shapes/undo';
export { unlockIcon } from './shapes/unlock';
export { uploadIcon } from './shapes/upload';
export { usersIcon } from './shapes/users';
export { viewCardsIcon } from './shapes/view-cards';
export { viewListIcon } from './shapes/view-list';
export { volumeIcon } from './shapes/volume';
export { wandIcon } from './shapes/wand';
export { windowCloseIcon } from './shapes/window-close';
export { windowMaxIcon } from './shapes/window-max';
export { windowMinIcon } from './shapes/window-min';
export { windowRestoreIcon } from './shapes/window-restore';
export { worldIcon } from './shapes/world';
export { wrenchIcon } from './shapes/wrench';
export { zoomInIcon } from './shapes/zoom-in';
export { zoomOutIcon } from './shapes/zoom-out';

// COLLECTIONS
export * from './collections/core';
export * from './collections/essential';
